*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}


body{
    display:flex;
    margin:0;
    padding:0;
    min-height: 100vh;
    background: linear-gradient(45deg, rgb(9, 111, 155) 9%,rgb(17, 19, 160) 100%);
	width: 100%;
	height: 100%;
    justify-content: center;
    align-items: center;
    font-family: arial;
    flex-direction: column;
}  

ul1{
    display: flex;
    position: center;
    justify-content: center;
    gap: 30px;
    margin-top: 20px;
}

ul1 li {
    list-style: none;
}

ul1 li a{
    font-size: 22px;
    text-decoration: none;
    letter-spacing:1px ;
    text-transform: uppercase;
    color: transparent;
    -webkit-text-stroke: 1px rgba(255, 255, 255, 05);
}

ul1 li a::before{
    content: attr(data-text);
    position: absolute;
    color: var(--clr);
    width: 0;
    overflow: hidden;
    transition: 1s;
    border-right: 0px solid var(--clr);
    -webkit-text-stroke: 1px var(--clr);
}

ul1 li a:hover::before{
    width: 12%;
    filter: drop-shadow(0 0 25px var(--clr));
}


.container{
    height: 70vh;
    width: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tarjeta{
    height: 250px;
    width: 200px;
    background-color: #0000008c;
    border-radius: 10%;
    box-shadow: 16px 14px 20px #0000008c;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tarjeta::before{
    content: "";
    position: absolute;
    height: 300px;
    width: 300px;
    background-image: conic-gradient(rgb(0, 255, 76) 20deg, transparent 120deg );
    animation: giro 2s linear infinite;
}

@keyframes giro{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(-360deg);
    }
}

.tarjeta::after{
    content: "";
    position: absolute;
    height: 240px;
    width: 190px;
    background-color: #000000;
    border-radius: 10%;
    box-shadow: inset 16px 14px 20px #030303;
}

.nombre{
    color: rgb(46, 255, 4);
    z-index: 2;
    background-color: transparent;
    font-family: 'Franklin Gothic Medium';
    text-align: center;
    text-shadow: 5px 5px 4px rgb(49, 49, 49);
}

.presentacion{
    position: right;
    color: rgb(253, 253, 253);
    padding: 40px;
    text-shadow:2px 2px 3px #21b9b2;
    
}


.containertx {
    width: 65%;
    margin: 60px;
    font-family: sans-serif;
    line-height: 35px;
    font-size: 65px;
    padding: 50px;
    text-align: center;
    text-transform: uppercase;
    text-rendering: optimizeLegibility;
    align-items: center;
    position: relative;
    color: #ffffff;
    text-shadow:2px 2px 3px #0d0d0e
}

.containertx p {
    text-align: center;
    font-size: 18px;
}

form{
    padding: 50px 55px;
    box-shadow: 0 0 20px rgba(47, 247, 213, 0.9);
    border-radius: 30px;
    text-align: center;
    width: 340px;
    display: flex;
    justify-content: center;
}



.input-group{
    display: flex;
    flex-direction: column;
    text-align: left;
}


label{
    color: #ffffff;
    font-size: 15px;
    font-weight: 600;
    margin-bottom: 10px;
}

input , textarea{
    padding: 10px 17px;
    border-radius: 25px;
    margin-bottom: 15px;
    background-color: #EDFFF0;
    border: 2px solid #f0faf1;
    color: #283629;
    outline: none;
}

.bnt{
    background: #02ffff;
    color: rgb(7, 7, 7);
    cursor: pointer; 
    margin-top: 20px;
    border: none;
    font-weight: 600;
}

.bnt:hover{
    background-color:hsl(120, 100%, 51%); 
    transition: 0.5s;
    opacity: 0.7;
}






h2 {
    width: 85%;
    margin: 60px;
    font-family: 'Lato', sans-serif;
    line-height: 80px;
    font-size: 70px;
    padding: 50px;
    text-align: center;
    text-transform: uppercase;
    text-rendering: optimizeLegibility;
    align-items: center;
    position: relative;
}

/*	
============
    Light
============
  */
h2::before {
    content:"";
    width: 5%;
    height: 10px;
    position: center;
    top: -200px;
    left: 10px;
    transform: rotate(55deg);
    background: rgba(206,188,155,.7);
    background: -moz-linear-gradient(left, rgba(206,188,155,.7) 0%, rgba(42,31,25,0) 65%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(206,188,155,.7)), color-stop(65%, rgba(42,31,25,0)));
    background: -webkit-linear-gradient(left, rgba(206,188,155,.7) 0%, rgba(42,31,25,0) 65%);
    background: -o-linear-gradient(left, rgba(206,188,155,.7) 0%, rgba(42,31,25,0) 65%);
    background: -ms-linear-gradient(left, rgba(206,188,155,.7) 0%, rgba(42,31,25,0) 65%);
    background: linear-gradient(to right, rgba(206,188,155,.7) 0%, rgba(42,31,25,0) 65%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cebc9b', endColorstr='#2a1f19', GradientType=0.7 ); 
}



/*	
========================
            3D Effect
========================
  */
#text3d {
    color: #70869d;
    letter-spacing: .15em;
    text-shadow: 
        -1px -1px 1px #efede3, 
        0px 1px 0 #2e2e2e, 
        0px 2px 0 #2c2c2c, 
        0px 3px 0 #2a2a2a, 
        0px 4px 0 #282828, 
        0px 5px 0 #262626, 
        0px 6px 0 #242424, 
        0px 7px 0 #222, 
        0px 8px 0 #202020, 
        0px 9px 0 #1e1e1e, 
        0px 10px 0 #1c1c1c, 
        0px 11px 0 #1a1a1a, 
        0px 12px 0 #181818, 
        0px 13px 0 #161616, 
        0px 14px 0 #141414, 
        0px 15px 0 #121212,
        2px 20px 5px rgba(0, 0, 0, 0.9),
        5px 23px 5px rgba(0, 0, 0, 0.3),
        8px 27px 8px rgba(0, 0, 0, 0.5),
        8px 28px 35px rgba(0, 0, 0, 0.9);
}




.trabajo{
    width: 100px;
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap:wrap;
    color: #fffcfc;
    background: transparent;
}

.container .card{
    position: relative;
    padding: 20px;
}

.container .card .face{
    width:300px;
    height: 200px;
    transition:.4s;
    
}

.container .card .face.face1{
    position: relative;
    background: #01276e;
    display: flex;
    justify-content: center;
    align-content:center;
    align-items: center;
    z-index: 1;
    transform: translateY(100px);
    border-radius: 5px;
}

.container .card:hover .face.face1{
    transform: translateY(0);
    box-shadow:
    inset 0 0 60px rgb(255, 255, 255),
    inset 20px 0 80px rgb(0, 217, 255),
    inset -20px 0 80px #0ff,
    inset 20px 0 300px rgb(0, 102, 255),
    inset -20px 0 300px #0ff,
    0 0 50px #fff,
    -10px 0 80px rgb(0, 255, 128),
    10px 0 80px rgb(0, 110, 255); 
}


.container .card .face.face1 .content{
    opacity: .2;
    transition:  0.5s;
    text-align: center;
}

.container .card:hover .face.face1 .content{
    opacity: 1;
}

.container .card .face.face1 .content i{
    font-size: 3em;
    color: rgb(41, 245, 0);
    display: inline-block;
}

.container .card .face.face1 .content h3{
    font-size: 1em;
    color: white;
    text-align: center;
    
}

.container .card .face.face1 .content a{
    transition: .5s;
}


.container .card .face.face2{
position: relative;
background: rgb(250, 250, 250);
display: flex;
align-items: center;
justify-content: center;
padding: 20px;
box-sizing: border-box;
box-shadow: 0 20px 50px rgba(17, 17, 17, 0.8);
transform: translateY(-100px);
border-radius: 10px;
font-family: 'Franklin Gothic Medium';
font-size: 10px;
}

.container .card:hover .face.face2{
    transform: translateY(0);
}

.container .card .face.face2 .content p, a{
font-size: 10pt;
margin: 0 ;
padding: 0;
color:#000000;
font-family: 'Franklin Gothic Medium';
}

.container .card .face.face2 .content a{
text-decoration:none;
color: rgb(51, 245, 3);
box-sizing: border-box;
outline : 1px dashed #000000;
padding: 10px;
margin: 15px 0 0;
display: inline-block;
font-family: 'Franklin Gothic Medium';
background:black;
}

.container .card .face.face2 .content a:hover{
background: #0703ff ;
color: rgb(255, 255, 255); 
box-shadow: inset 0px 0px 10px rgba(0,0,0,0.5);
}

ul{
    position: relative;
    margin:0;
    padding:0;
    display:flex;
    top: 50%;
    left:50%;
    transform: translate(-50%, -50%);

}

ul li {
    list-style:none;
    margin: 0 15px;
}

ul li a {
    position: relative;
    display: block;
    width: 60px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    background: #260ff1;
    border-radius: 50%;
    font-size: 30px;
    color: #ffffff;
    transition: .5s;
}

ul li a:before {
    content: '';
    position: relative;
    top:0;
    left:0;
    width:100%;
    height:100%;
    border-radius:50%;
    background: #3dff02;
    transition: .5s;
    transform: scale(.9);
    z-index: -1;
}

ul li a:hover:before {
    transform: scale(1.2);
    box-shadow: 0 0 15px #06ff59;
    filter: blur(3px);
}

ul li a:hover {
    color: #17ff02;
    box-shadow: 0 0 15px #17ff02;
    text-shadow: 0 0 15px #03ff18;
}


.tarjeta2{
    height: 250px;
    width: 200px;
    background-color: #0000008c;
    border-radius: 10%;
    box-shadow: 16px 14px 20px #0000008c;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tarjeta2::before{
    content: "";
    position: absolute;
    height: 300px;
    width: 300px;
    background-image: conic-gradient(rgb(0, 255, 242) 20deg, transparent 120deg );
    animation: giro 2s linear infinite;
}

.tarjeta2::after{
    content: "";
    position: absolute;
    height: 240px;
    width: 190px;
    background-color: #000000;
    border-radius: 10%;
    box-shadow: inset 16px 14px 20px #2929298c;
}

.presentacion2{
    position: right;
    color: rgb(253, 253, 253);
    padding: 35px;
    text-shadow:2px 2px 3px #2138b9;
}

.footer{
    margin: 0;
    padding: 0;
position: relative;
}

.cp-text{ 
    color: rgb(255, 255, 255); 
    text-shadow: 2px 2px 3px rgb(45, 46, 46);
    font-family: 'Franklin Gothic Medium';
    font-size: 18px;
    font-weight: 100;
}



/* Responsive Design - adaptable a dispositivos moviles*/

@media screen and (max-width: 444px){
    ul1 li a{
        max-width:100%;
        padding: 0;
        margin-top: 30px;
        margin: 10px;
        font-size: 15px;
    }
    ul1 li a:hover::before{
        width: 30%;
        filter: drop-shadow(0 0 25px var(--clr));
    }
}




@media screen and (max-width: 818px) {
    
    .redes .redes ul li{
        max-width:700px;
        padding: 10px 2px;
        margin-top: 5%;
        margin: 1px;
    }
}

@media screen and (max-width: 446px){
    .container{
    flex-direction: column;
    }
}

@media screen and (max-width: 788px){
    .containertx{
        max-width:100%;
        padding: 0;
        margin-top: 60px;
        margin: 100px;
        font-size: 60px;

    }
}


@media screen and (max-width: 651px){
    .trabajos .container {
        flex-direction: column;
    }
}

@media screen and (max-width: 580px){
    .escrit h2 {
        max-width:40%;
        padding: 0px 20px;
        margin-top: 100px;
        margin: 200px;
        font-size: 60px;
}
}

@media screen and (max-width: 654px){
    .containertx{
        margin-top: 250px;
        max-width: 800px;
        padding: 0 20px;
        flex-direction: column;
    }
}


@media screen and (max-width: 671px){
    .acerca .container{
        margin-top: 200px;
        max-width: 800px;
        padding: 0 20px;
        flex-direction: column;
    }
}

@media screen and (max-width: 580px){
    .footer .cp-text{
        max-width:100%;
        padding: 0px 10px;
        margin-top: 10px;
        margin: 30px;
        font-size: 13px;
        display: inline;
        font-weight: 100;
        color: white;
    }
}






